%option noyywrap
%option nounput

%{
#include <string.h>
#include "calc.tab.h"

#define YY_NO_INPUT

extern void yyerror(char*);
%}

ID		[[:alpha:]][[:alnum:]]*
NUM     [[:digit:]]+|[[:digit:]]*"."[[:digit:]]+|[[:digit:]]+"."[[:digit:]]*

%%

"exit"|"quit"   { return QUIT; }

[ \t]	{/* nothing */}

{ID}	{
			yylval.name = strdup(yytext);
			return IDENT;
		}

{NUM}	{
			yylval.num = atof(yytext);
			return NUMBER;
		}

\n|.	return *yytext;

%%
